package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.SaleRedRecord;
import com.prolog.cs.biz.outbound.model.dto.RedDTO;
import com.prolog.framework.common.message.RestMessage;

import java.math.BigDecimal;
import java.util.List;

public interface  RedService {
    RestMessage<Boolean> makeOmsBillRed(RedDTO omsBillId);

    RestMessage<Boolean> makeOmsBillItemRed(RedDTO redDTO);

    RestMessage<List<SaleRedRecord>> omsRedRecordQuery(String billId, String lineBillId);

    BigDecimal getOmsRedQty(RedDTO redDTO);

    BigDecimal getOmsRedQty(String omsBillId, String omsBillLineId, String itemId);
}
